///////////////////////////////////////////////////////////////////////
//camera variables

var dist_traced;
var dist_total;


var cam_anchor;

///////////////////////////////////////////////////////////////////////
//the new view
view qref_camera{}


///////////////////////////////////////////////////////////////////////
//move the camera out of the wall with trace

function validate_view()
{

	trace_mode = ignore_me + ignore_passable + ignore_models;
	dist_traced = trace (player.x,qref_camera.x);
	dist_total = player.x-qref_camera.x+15;
	
	if (dist_traced == 0) {qref_camera.tilt = qref_camera.tilt; } // No obstacles hit... fine
	if(result < 300)				// if trace hits something close (300 may need altering)
	{
		vec_set(qref_camera.x,target.x);		// set to pos where trace hit wall 
	}
	else						// otherwise			
	{
		vec_set(qref_camera.x,dist_total.x);	// set camera to normal position
	}   
	waitt(6);  
}



///////////////////////////////////////////////////////////////////////
//main camera follow script

function select_camera()
{ 
	qref_camera.x = player.x - 200 * cos(player.pan); 
	qref_camera.y = player.y - 200 * sin(player.pan); 
	qref_camera.z = player.z + 200;
	qref_camera.pan = -.7*(my.SKILL14)+player.pan; //turn the camera smoothly with move physics
	
	qref_camera.tilt = -27+-.3*abs(my.skill14); //tilt the camera smoothly with move physics
	
	qref_camera.roll = 0;  
} 

///////////////////////////////////////////////////////////////////////
//set basic new camera view

function set_cameras() 
{ 
	camera.visible = off; 
	qref_camera.size_x = screen_size.x; 
	qref_camera.size_y = screen_size.y; 
	qref_camera.pos_x = 0; 
	qref_camera.pos_y = 0; 
	qref_camera.visible = on; 
	select_camera(); 
	validate_view();
} 









